Subject: IETF Trust Minutes since August 2011

From: SM <[email-masked]>
Date: Thu, 03 May 2012 03:48:35 -0700

Dear IETF Trust,

The IETF Trust reported during the IETF83 meeting that the "Minutes 
are complete except for the meeting held this morning".  I don't see 
any minutes published since August 2011.    Could these minutes be 
published in a timely manner?

It was also mentioned the subpoenas would be published as they come 
in.  Where can I find them?

Does the amount of US$600 cover the storage cost of the "blue 
sheets"?  Can the IETF Trust review the second paragraph of the 
message at 
http://www.ietf.org/mail-archive/web/ietf/current/msg73049.html and 
provide feedback to the IETF Community?

Regards,
-sm